class OrderModel {
  //作业地址
  String? address;
  //作业面积
  int? amount;
  //预约时间
  String? appointmentDate;
  //费用
  int? charges;
  //下单时间
  String? createDate;
  //调度ID
  String? dispatchId;
  //调度状态
  int? dispatchStatus;
  //是否评价
  int? isEvaluated;
  //是否退单
  int? isRefund;
  //农机ID
  String? machineryId;
  //农机名称
  String? machineryName;
  //农机类型
  String? machineryType;
  //订单Id
  String? orderId;
  //订单编号
  String? orderNo;
  //接单机构
  String? orgId;
  //接单机构名称
  String? orgName;
  //付款状态
  int? payStatus;
  //支付端
  String? payType;
  //下单人Id
  String? personId;
  //下单人名称
  String? personName;
  //下单人手机号
  String? phone;
  //单价
  int? price;
  //状态
  int? status;
  //类型名称
  String? typeName;
  //农机手ID
  String? workId;
  //农机手名称
  String? workName;
  //工作状态
  int? workStatus;

  OrderModel();

  OrderModel.fromJson(Map<String, dynamic> json)
      : orderId = json['orderId'],
        orderNo = json['orderNo'],
        personId = json['personId'],
        personName = json['personName'],
        phone = json['phone'],
        charges = json['charges'],
        price = json['price'],
        amount = json['amount'],
        machineryId = json['machineryId'],
        machineryName = json['machineryName'],
        machineryType = json['machineryType'],
        typeName = json['typeName'],
        address = json['address'],
        appointmentDate = json['appointmentDate'],
        payStatus = json['payStatus'],
        dispatchStatus = json['dispatchStatus'],
        workStatus = json['workStatus'],
        isEvaluated = json['isEvaluated'],
        payType = json['payType'],
        isRefund = json['isRefund'],
        orgId = json['orgId'],
        orgName = json['orgName'],
        status = json['status'],
        createDate = json['createDate'],
        dispatchId = json['dispatchId'],
        workId = json['workId'],
        workName = json['workName'];

  Map<String, dynamic> toJson() => {
        'orderId': orderId,
        'orderNo': orderNo,
        'personId': personId,
        'personName': personName,
        'phone': phone,
        'charges': charges,
        'price': price,
        'amount': amount,
        'machineryId': machineryId,
        'machineryName': machineryName,
        'machineryType': machineryType,
        'typeName': typeName,
        'address': address,
        'appointmentDate': appointmentDate,
        'payStatus': payStatus,
        'dispatchStatus': dispatchStatus,
        'workStatus': workStatus,
        'isEvaluated': isEvaluated,
        'payType': payType,
        'isRefund': isRefund,
        'orgId': orgId,
        'orgName': orgName,
        'status': status,
        'createDate': createDate,
        'dispatchId': dispatchId,
        'workId': workId,
        'workName': workName,
      };
}
